summaryrefslogtreecommitdiffstats
path: root/source/n/cyrus-sasl
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/n/cyrus-sasl
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/n/cyrus-sasl')
-rwxr-xr-xsource/n/cyrus-sasl/cyrus-sasl.SlackBuild29
1 files changed, 21 insertions, 8 deletions
diff --git a/source/n/cyrus-sasl/cyrus-sasl.SlackBuild b/source/n/cyrus-sasl/cyrus-sasl.SlackBuild
index c4aebb481..27512039e 100755
--- a/source/n/cyrus-sasl/cyrus-sasl.SlackBuild
+++ b/source/n/cyrus-sasl/cyrus-sasl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,20 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=2.1.23
-ARCH=${ARCH:-x86_64}
+PKGNAM=cyrus-sasl
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-cyrus-sasl
@@ -37,14 +47,17 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf cyrus-sasl-$VERSION
-tar xvf $CWD/cyrus-sasl-$VERSION.tar.?z*
-cd cyrus-sasl-$VERSION
+tar xvf $CWD/cyrus-sasl-$VERSION.tar.?z* || exit 1
+cd cyrus-sasl-$VERSION || exit 1
chown -R root:root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 664 -exec chmod 644 {} \;
@@ -66,8 +79,8 @@ CFLAGS="$SLKCFLAGS" \
# How stupid that I need to specify 'sasldir' again for 'make' or else you get
# the warning "Plugins are being installed into /usr/lib/sasl2, but the library
# will look for them in /usr/lib64/sasl2" and advised to create a symlink...
-make sasldir=/usr/lib${LIBDIRSUFFIX}/sasl2
-make sasldir=/usr/lib${LIBDIRSUFFIX}/sasl2 install DESTDIR=$PKG
+make sasldir=/usr/lib${LIBDIRSUFFIX}/sasl2 || exit 1
+make sasldir=/usr/lib${LIBDIRSUFFIX}/sasl2 install DESTDIR=$PKG || exit 1
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -81,7 +94,7 @@ cat saslauthd/saslauthd.mdoc > $PKG/usr/man/man8/saslauthd.8
gzip -9 $PKG/usr/man/man?/*.?
mkdir -p $PKG/usr/doc/cyrus-sasl-$VERSION
cp -a \
- AUTHORS COPYING INSTALL NEWS README README.andrew \
+ AUTHORS COPYING* INSTALL NEWS README* \
doc \
$PKG/usr/doc/cyrus-sasl-$VERSION
find $PKG/usr/doc/cyrus-sasl-$VERSION -type f -exec chmod 644 {} \;